<template lang="pug">
.view
  h1.view__title {{ event.title }}
  hr.view__hr
  .view__wrapper
    .view__information
      .view__text {{ event.description }}
      .view__icons
        .view__seats
          img.view__icon(src="@/assets/icon_baby.png")
          | до {{ event.number_of_seats }} детей
        .view__age
          img.view__icon(src="@/assets/icon_size.png")
          | {{ age }}
        .view__deviation
          img.view__icon(src="@/assets/icon_calendar.png")
          | {{ event.date_of_event }}
      Button(
        type="main"
      ) Записаться
    .view__photo
      img(:src="event.photo_link")

  h1.recommended__title Рекомендуемые мероприятия
  .recommended
    Card(
      v-for="item, index in recommended"
      :key="item.id"
      type="event"
      :item="item"
      :number="index"
      :numberDouble=-1
    )
</template>

<script>
import Error from '@/components/parts/Error.vue'
import Card from '@/components/parts/Card.vue'
import Button from '@/components/parts/Button.vue'

export default {
  name: 'EventView',
  components: {
    Card,
    Error,
    Button
  },
  computed: {
    event() {
      return this.$store.getters.events.find(item => (item.id === this.$route.params.id))
    },
    age() {
      const { min_age, max_age } = this.event
      return `${min_age} - ${max_age} лет`
    },
    recommended() {
      return this.$store.getters.events.filter((item, index) => {return index < 4})
    }
  }
}
</script>

<style lang="stylus" scoped>
@import '~@/stylus/mixins.styl'

.view
  max-width: 1200px
  margin: auto
  &__wrapper
    display: flex
    flex-direction: row
    justify-content: space-between
  &__title
    font-size: 3em
    color: mainColor
    margin: 25px 0 0
  &__hr
    height: 4px
    margin: 20px 0
    background: mainColor
  &__information
    display: flex
    flex-direction: column
    justify-content: space-between
    flex-grow: 1
    margin-right: 20px
  &__icons
    display: flex
    flex-direction: row
    justify-content: center
    & > *
      margin-right: 50px
      font-weight: 700
      align-items: center
      display: flex
      &:last-child
        margin: 0
    img
      margin-right: 10px
      height: 50px
  &__photo img
    width: 350px
    border-radius: 10px

  .recommended
    display: flex
    flex-direction: row
    justify-content: space-between
    &__title
      margin-top: 70px
      font-size: 2em
</style>
